Package org.apache.qpid.proton.engine.impl

# Interface FrameHandler

All Known Implementing Classes:
  `TransportImpl`

public interface FrameHandler

## Method Summary

Modifier and Type
Method
Description
`void`
`closed(TransportException error)`
`boolean`
`handleFrame(TransportFrame frame)`
`boolean`
`isHandlingFrames()`
Returns whether I am currently able to handle frames.

## Method Details

### handleFrame

boolean handleFrame(TransportFrame frame)

Returns:
  false on end of stream
Throws:
  `IllegalStateException` - if I am not currently accepting input
See Also:
  - `isHandlingFrames()`

### closed

void closed(TransportException error)

### isHandlingFrames

boolean isHandlingFrames()
Returns whether I am currently able to handle frames. MUST be checked before calling `handleFrame(TransportFrame)`.